package org.jeecg.modules.okki.site.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.okki.site.entity.OkkiSite;
import org.jeecg.modules.okki.site.param.ChangeSiteStatusParam;

/**
 * @Description: 站点
 * @Author: jeecg-boot
 * @Date:   2024-04-29
 * @Version: V1.0
 */
public interface IOkkiSiteService extends IService<OkkiSite> {

    boolean updateBySiteId(OkkiSite okkiSite);

    boolean changeStatus(OkkiSite okkiSite);

    boolean okkiChangeStatus(ChangeSiteStatusParam param);

    boolean insertSite(OkkiSite okkiSite);
}
